# $Revision: 1.16 $, $Date: 2009/10/10 20:54:59 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SQL
%define	pnam	Translator
Summary:	SQL::Translator - manipulate structure data definitions (database schemas)
Summary(pl.UTF-8):	SQL::Translator - manipulowanie definicjami struktur danych (schematami baz danych)
Name:		perl-SQL-Translator
Version:	0.11003
Release:	1
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/SQL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ada140a904b21a17aa47c64903a87f18
URL:		http://search.cpan.org/dist/SQL-Translator/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::ShareDir) >= 1
BuildRequires:	perl-Class-Base
BuildRequires:	perl-Class-Data-Inheritable >= 0.02
BuildRequires:	perl-Class-MakeMethods
BuildRequires:	perl-DBI
BuildRequires:	perl-GD
BuildRequires:	perl-GraphViz
BuildRequires:	perl-Log-Log4perl
BuildRequires:	perl-Parse-RecDescent >= 1.962.002
BuildRequires:	perl-Pod-Parser
BuildRequires:	perl-Spreadsheet-ParseExcel >= 0.2602
BuildRequires:	perl-Template-Toolkit >= 2.10
BuildRequires:	perl-Template-Toolkit-Plugin-Date
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Simple >= 0.60
BuildRequires:	perl-Text-RecordParser >= 0.02
BuildRequires:	perl-XML-Writer >= 0.500
BuildRequires:	perl-XML-XPath >= 1.13
BuildRequires:	perl-YAML >= 0.39
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# stupid rpm... should invoke perl.req for all files at once
%define		_noautoreq	'perl(SQL::Translator.*)'

%description
SQL::Translator is a group of Perl modules that manipulate structure
data definitions (mostly database schemas) in interesting ways, such
as converting among different dialects of CREATE syntax (e.g.,
MySQL-to-Oracle), visualizations of schemas (pseudo-ER diagrams
GraphViz or GD), automatic code generation (using Class::DBI),
converting non-RDBMS files to SQL schemas (xSV text files, Excel
spreadsheets), serializing parsed schemas (via Storable, YAML and
XML), creating documentation (HTML and POD), and more. We also have
the ability to talk directly to a database through DBI to query for
the structures of several databases.

%description -l pl.UTF-8
SQL::Translator to grupa modułów Perla obrabiających definicje danych
struktur (głównie schematów baz danych) na ciekawe sposoby, takie jak
konwersja między różnymi dialektami składni CREATE (np. MySQL do
Oracle), wizualizacja schematów (diagramy pseudo-ER, GraphViz i
GD), automatyczne generowanie kodu (przy użyciu Class::DBI), konwersja
plików nie będących relacyjnymi bazami danych do schematów SQL (pliki
tekstowe xSV, arkusze Excela), serializacja przetworzonych schematów
(poprzez Storable, YAML i XML), tworzenie dokumentacji (HTML i POD)
itd. Istnieje także możliwość bezpośredniej komunikacji z bazą danych
poprzez DBI w celu odpytania o struktury różnych baz.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/SQL/*.pm
%{perl_vendorlib}/SQL/Translator
%{perl_vendorlib}/Test/SQL
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SQL-Translator.spec,v $
Revision 1.16  2009/10/10 20:54:59  amateja
- updated to 0.11003

Revision 1.15  2009/09/10 08:53:23  amateja
- updated to 0.11002

Revision 1.14  2008/12/11 12:08:01  radek
- version 0.09002

Revision 1.13  2008-02-17 18:29:37  radek
- version 0.08001

Revision 1.12  2007/03/31 16:43:29  qboosh
- generic URL

Revision 1.11  2007/03/29 16:57:30  radek
- release 2: perl_vendorlib/Test/SQL

Revision 1.10  2007/03/29 16:51:32  radek
- turn tests back on, just make them non-fatal

Revision 1.9  2007/03/29 16:47:55  radek
- version 0.08, tests off (probably TT related), noautoreq

Revision 1.8  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.6  2005/07/19 14:22:59  radek
- version 0.07

Revision 1.5  2005/03/30 19:50:17  qboosh
- sorted

Revision 1.4  2005/03/30 15:38:12  glen
- update BR

Revision 1.3  2004/12/09 22:25:18  qboosh
- pl desc

Revision 1.2  2004/12/09 14:45:03  ankry
- pl summary, formatting

Revision 1.1  2004/12/09 13:04:00  radek
- new
